Create campaign
Campaigns
Create Campaign
Create a new outbound campaign.
POST
Create campaign
Use this endpoint to create a new campaign.
Endpoint
POST/create-campaign
Content-Type: application/json
Authentication: Required (workspace auth)
Request Body
Notes
- All fields (
agent_id,campaign_name,description,start_date,end_date,max_retry) are required. campaign_namemust be unique within a workspace.max_retrycannot be greater than 50.max_delayis required whenmax_retryis greater than 1. It must be passed as a JSON string (not an object) with keysd(days),h(hours), andm(minutes) as numbers. Example:"{\"d\":1,\"h\":2,\"m\":30}".start_dateandend_datemust be inYYYY-MM-DDformat (e.g.,"2025-12-01").
Example cURL
Headers
API token for authentication
Body
application/json
Voice agent to use for this campaign
Name of the campaign. Must be unique within a workspace.
Description of the campaign
Campaign start date in YYYY-MM-DD format (e.g. 2025-12-01)
Campaign end date in YYYY-MM-DD format (e.g. 2025-12-31)
Maximum number of retry attempts (cannot be greater than 50)
Required range:
1 <= x <= 50Delay between retries as a JSON string. Required when max_retry > 1. Keys: d (days), h (hours), m (minutes) with numeric values. Example: {"d":1,"h":2,"m":30}
Response
Campaign created successfully

